Package org.eclipse.jface.text.revisions

# Class RevisionEvent

java.lang.Object
org.eclipse.jface.text.revisions.RevisionEvent

public final class RevisionEvent extends Object
Informs about a change of revision information.

Clients may use but not instantiate this class.

Since:
  3.3
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`RevisionEvent(RevisionInformation information)`
Creates a new event.

## Method Summary

Modifier and Type
Method
Description
`RevisionInformation`
`getRevisionInformation()`
Returns the revision information that has changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RevisionEvent

public RevisionEvent(RevisionInformation information)
Creates a new event.

Parameters:
  `information` - the revision info

## Method Details

### getRevisionInformation

public RevisionInformation getRevisionInformation()
Returns the revision information that has changed.

Returns:
  the revision information that has changed